<!doctype html>
<html lang="en-us">
  <head>
    <meta charset="utf-8" />
    <title>Shift Key Trainer</title>
    <meta
      name="description"
      content="Train yourself to use the correct shift keys"
    />

    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <link rel="preconnect" href="https://fonts.googleapis.com" />
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
    <link
      href="https://fonts.googleapis.com/css2?family=Lexend&family=Zen+Tokyo+Zoo&family=Fira+Code:wght@500&display=swap"
      rel="stylesheet"
    />
    <link href="css/main.css?v=2" rel="stylesheet" />
    <script src="js/index.js?v=6" type="module"></script>
  </head>

  <body>
    <div id="app" data-status="pregame">
      <div class="pregame">
        <div class="info">
          <h1>Shift Key Training</h1>

          <p>
            I've always felt I wasn't using my right shift key enough. So I
            wrote this game to train me to use the opposite shift from the key
            you are pressing.

            <br /><br />

            Type the clouds of letters before they reach the bottom of the
            screen. If you use the wrong shift key, the letter won't be
            recognized.
          </p>
        </div>

        <form id="options-form">
          <script>
            function onFactorRange(val) {
              const factor = val / 2000 + 0.9;
              document.getElementById('factor-input').value =
                parseFloat(factor).toFixed(4);
            }
            function onFactorInput(factor) {
              const rangeVal = 2000 * (factor - 0.9);
              document.getElementById('factor-range').value = rangeVal;
              document.getElementById('factor-input').value =
                parseFloat(factor).toFixed(4);
            }
          </script>
          <input type="submit" value="Start" />
          <div class="options">
            <div class="input-item factor-range">
              <input
                type="range"
                id="factor-range"
                name="factor-range"
                min="0"
                max="180"
                value="160"
                oninput="onFactorRange(this.value)"
              />
              <label for="factor-range"
                ><span>Hard</span>Factor<span>Easy</span></label
              >
            </div>
            <div class="input-item">
              <label>Factor: </label>
              <input
                step="0.0005"
                type="number"
                id="factor-input"
                name="factor"
                min="0.9000"
                max="0.9900"
                value="0.9800"
                oninput="onFactorInput(this.value)"
              />
            </div>
            <div class="input-item">
              <label>Keyboard Layout:</label>
              <select name="layout">
                <option value="qwerty">Qwerty</option>
                <option value="bepo">Bépo</option>
                <!-- <option value="qwertz">Qwertz</option>
		     <option value="azerty">Azerty</option>
		     <option value="qzerty">Qzerty</option> -->
                <option value="dvorak">Dvorak</option>
                <option value="programmer-dvorak">Programmer Dvorak</option>
                <option value="colemak">Colemak</option>
                <option value="workman">Workman</option>
              </select>
            </div>
          </div>
        </form>
      </div>
      <div class="playing">
        <button id="stop-btn">Stop</button>
      </div>
    </div>
    <div id="scoreboard">
      <p id="lives">Lives: 5</p>
      <p id="score">Score: 0</p>
    </div>
    <p class="footer">Background created w/ SVGBackgrounds.com</p>
  </body>
</html>
